extends ConfirmationDialog
class_name GroupEditDialog

@onready var name_line_edit: LineEdit = %NameLineEdit
@onready var icon_path_line_edit: LineEdit = %IconPathLineEdit
@onready var description_text_edit: TextEdit = %DescriptionTextEdit
@onready var override_editor_settings_menu: OverrideEditorSettingsMenu = %OverrideEditorSettingsMenu

var group_metadata: GroupMetadata


func clear() -> void:
	name_line_edit.clear()
	icon_path_line_edit.clear()
	description_text_edit.clear()
	override_editor_settings_menu.clear()
	group_metadata = GroupMetadata.new()


func get_group_metadata() -> GroupMetadata:
	group_metadata.icon_path = icon_path_line_edit.text
	group_metadata.description = description_text_edit.text
	group_metadata.settings_overrides = override_editor_settings_menu.get_overrides()

	return group_metadata
